List members
curl --request GET \
--url https://www.cubic.dev/api/v1/organizations/{org}/members \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.cubic.dev/api/v1/organizations/{org}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.cubic.dev/api/v1/organizations/{org}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"members": [
{
"githubUserId": "<string>",
"githubLogin": "<string>",
"workEmail": "<string>",
"role": "member",
"seat": true,
"isBot": true
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Members
List members
GET
/
api
/
v1
/
organizations
/
{org}
/
members
List members
curl --request GET \
--url https://www.cubic.dev/api/v1/organizations/{org}/members \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.cubic.dev/api/v1/organizations/{org}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.cubic.dev/api/v1/organizations/{org}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"members": [
{
"githubUserId": "<string>",
"githubLogin": "<string>",
"workEmail": "<string>",
"role": "member",
"seat": true,
"isBot": true
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retriable": true,
"correlationId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}See the Members API guide for filtering and pagination examples.
Authorizations
Path Parameters
Query Parameters
Was this page helpful?